LDAP + TLS is not LDAP + TLS but LDAP + SSL
Status: Closed   

Priority: Low   

Assignee: Ori Rabin   

Category: Authentication   

Target version: 1.6.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases: 1.4.3

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi,

Today I configured our OpenLDAP server as a login source for foreman.

I checked the TLS checkbox, and found out it wasn't working. Without it, all was working fine.

There was an SSL error : The problem was solved by changing the port to 636 instead of 389.

In fact the LDAP auth backend doesn't use TLS, but SSL (aka LDAPS) and not LDAP+TLS (the ruby net/ldap module does not seem

to support real TLS : http://net-ldap.rubyforge.org/Net/LDAP.html#method-i-encryption)

I think that the label should be changed to "SSL" or "LDAPS", or perhaps should you use the ldap:// ldaps:// syntax to be more clear ?

No big deal, of course, but it could save some time for users who will check their config several times before understanding the

problem.

Best regards,

Related issues:

Related to Foreman - Bug #7003: Unable to connect to AD through ldap login mo... Closed 08/08/2014

Associated revisions

Revision 42163f86 - 07/07/2014 06:43 AM - Ori Rabin

fixes #5414: LDAP + TLS is not LDAP + TLS but LDAP + SSL and changed port automatically on check

History

#1 - 07/03/2014 08:43 AM - Ori Rabin

- Assignee set to Ori Rabin

#2 - 07/03/2014 09:01 AM - Ohad Levy

- Target version set to 1.8.1

- translation missing: en.field_release set to 10

#3 - 07/07/2014 04:15 AM - Dominic Cleal

- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/1556

#4 - 07/07/2014 07:02 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 42163f861cfa9c5446abbe5d53035365085e441d.

#5 - 08/11/2014 03:48 AM - Dominic Cleal
http://net-ldap.rubyforge.org/Net/LDAP.html#method-i-encryption
https://github.com/theforeman/foreman/pull/1556
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/42163f861cfa9c5446abbe5d53035365085e441d


- Related to Bug #7003: Unable to connect to AD through ldap login module added
